glab(1)

NAME
glab-cluster-agent-get-token - Create and return a k8s_proxy-scoped personal access token to authenticate with a GitLab Agents for Kubernetes.

SYNOPSIS
glab cluster agent get-token [flags]

DESCRIPTION
Create and return a k8s_proxy-scoped personal access token to authenticate with a GitLab Agents for Kubernetes.

This command creates a personal access token that is valid until the end of the current day. You might receive an email from your GitLab instance that a new personal access token has been created.

OPTIONS
-a, --agent=0
    The numerical Agent ID to connect to.

-c, --cache-mode="force-keyring"
    Mode to use for caching the token. Allowed values: keyring-filesystem-fallback, force-keyring, force-filesystem, no

--check-revoked[=false]
    Check if a cached token is revoked. This requires an API call to GitLab which adds latency every time a cached token is accessed.

--token-expiry-duration=24h0m0s
    Duration for how long the generated tokens should be valid for. Minimum is 1 day and the effective expiry is always at the end of the day, the time is ignored.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

SEE ALSO
glab-cluster-agent(1)